Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.http
Interface HttpSessionBindingListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  SessionAuthentication

    public interface HttpSessionBindingListener

extends java.util.EventListener

Causes an object to be notified when it is bound to or unbound from a session. The object is notified by an `HttpSessionBindingEvent` object. This may be as a result of a servlet programmer explicitly unbinding an attribute from a session, due to a session being invalidated, or due to a session timing out.

Author:
  Various
See Also:
  `HttpSession`, `HttpSessionBindingEvent`

Method Summary
`void` | `valueBound(HttpSessionBindingEvent event)` Notifies the object that it is being bound to a session and identifies the session.
`void` | `valueUnbound(HttpSessionBindingEvent event)` Notifies the object that it is being unbound from a session and identifies the session.

Method Detail

### valueBound

    void valueBound(HttpSessionBindingEvent event)

  Notifies the object that it is being bound to a session and identifies the session.

  Parameters:
    `event` - the event that identifies the session
  See Also:
    `valueUnbound(javax.servlet.http.HttpSessionBindingEvent)`

### valueUnbound

    void valueUnbound(HttpSessionBindingEvent event)

  Notifies the object that it is being unbound from a session and identifies the session.

  Parameters:
    `event` - the event that identifies the session
  See Also:
    `valueBound(javax.servlet.http.HttpSessionBindingEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.